# Interface DataPosSequence.PositionCloud

Enclosing class:
  `DataPosSequence`

public static interface DataPosSequence.PositionCloud
Adaptor interface defining a cloud of positions for use with DataPosSequence.

Since:
  13 Sep 2019
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`TupleSequence`
`createTupleSequence(DataStore dataStore)`
Returns a new tuple sequence that iterates over the points in this cloud.
`DataGeom`
`getDataGeom()`
Returns the DataGeom for this cloud.
`int`
`getPosCoordIndex()`
Returns the index of the data spec coordinate at which the position information starts for this cloud.
`long`
`getTupleCount()`
Returns the approximate number of tuples that will be iterated over by the tuple sequence this object creates.

## Method Details

### getPosCoordIndex

int getPosCoordIndex()
Returns the index of the data spec coordinate at which the position information starts for this cloud.

Returns:
  position coordinate index

### getDataGeom

DataGeom getDataGeom()
Returns the DataGeom for this cloud.

Returns:
  geom

### createTupleSequence

TupleSequence createTupleSequence(DataStore dataStore)
Returns a new tuple sequence that iterates over the points in this cloud.

Parameters:
  `dataStore` - data storage object
Returns:
  new tuple sequence

### getTupleCount

long getTupleCount()
Returns the approximate number of tuples that will be iterated over by the tuple sequence this object creates.

Returns:
  approximate tuple count